=== debian/changelog ===
libpam-usb (0.8.5) unstable; urgency=medium
  * [Feature] Support multiple devices per user
  * [Enhancement] Misc. memory and string handling stuff
  * [Enhancement] Deny if pads can't be updated
  * [Enhancement] SELinux! Wiki now has a doc on how to create your own profile
  * [Bugfix] LC_ALL usage

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Fri, 26 Jul 2024 21:00:00 +0200

libpam-usb (0.8.4) unstable; urgency=medium
  * [Bugfix] loginctl usage was not sh compatible
  * [Bugfix] Misc. fixes related to memory handling
  * [Enhancement] Don't check every element of ut_addr_v6
  * [Enhancement] Service whitelist is now user configurable
  * [Enhancement] Whitelist additions: lxdm, xscreensaver, klockscreen

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Thu, 04 Jan 2024 21:00:00 +0100

libpam-usb (0.8.3-1) unstable; urgency=medium
  * [Bugfix] Fix pam-auth-update config not being included in package

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Mon, 05 Sep 2022 21:00:00 +0200

libpam-usb (0.8.3) unstable; urgency=medium
  * [Feature] pamusb-conf now has a --reset-pads=username option
  * [Bugfix] Fix debconf issues with devices having no revision set
  * [Bugfix] Fix RHOST check triggering on empty value
  * [Bugfix] Whitelist pamusb-agent for remoteness-check
  * [Bugfix] Fix "tty from displayserver" remoteness-check method
  * [Docs] Update manpages and text files
  * [Bugfix] Fix some usages of tmux being able to circumvent localcheck

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Tue, 30 Aug 2022 21:00:00 +0200

libpam-usb (0.8.2) unstable; urgency=medium
  * [Tools/Docs] Add pamusb-keyring-unlock-gnome, to allow unlocking the
  GNOME keyring (#11)
  * [Bugfix] Whitelist "login" service name to prevent insta-logout on
  TTY shells (#115)
  * [Bugfix] Check PAM_RHOST if deny_remote is enable to fix vsftpd auth
  breaking down (#100)
  * [Bugfix] Fix type for argument to stat (community contribution)
  * [Docs] Added code of conduct (#106) and updated AUTHORS
  * [Makefile] Fix LIBDIR on non-debian systems

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Sun, 15 May 2022 21:00:00 +0200

libpam-usb (0.8.1) unstable; urgency=medium
  * [CI] Fixed "build & test on own server" job
  * [Enhancement] Fix obtaining tty by DISPLAY if DISPLAY contains a screen 
    identifier
  * [Enhancement] Whitelist policykit since obtaining the session tty is 
    impossible in some scenarios (exploiting would require an already 
    authenticated session)
  * [Enhancement] Indicate to tmux we specify an id by prepending it with '$'
  * [Enhancement] Fix versioning information
  * [Enhancement] Fix compatibility with Wayland
  * [Enhancement] Allow execution of complex commands in pamusb-agent

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Thu, 04 Nov 2021 18:00:00 +0100

libpam-usb (0.8.0) unstable; urgency=high

  * [SECURITY!] Massive rework of local check, now properly denies when remote 
    clients are connected via multiplexers (tmux, screen). Many thanks to 
    Github user @fuseteam for extensive testing [issue #51]
  * [Enhancement] Whitelisted most login managers for local check
  * [Enhancement] Agent: workaround for devices being disconnected because of 
    power management events (thx to Github user @uszie)
  * [Bugfix] fixed pad file syncing behaviour during heavy file IO [issue #57]
  * [Enhancement] Added version info to pamusb-conf and pamusb-check

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Wed, 01 Sep 2021 18:00:00 +0200

libpam-usb (0.7.3) unstable; urgency=high

  * Reworked deny_remote option
  * Removed unknown_pts_as_local option (not needed anymore)

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Sat, 13 Feb 2021 22:23:34 +0100

libpam-usb (0.7.2) unstable; urgency=high

  * Works with libpam >= 1.4.0 / installs to correct target directory
  * Fix Lintian error 'bad-distribution-in-changes-file' on non-Ubuntu
  * Fix spelling error in debian/copyright
  * Change default value for unknown_pts_as_local to false

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Fri, 12 Feb 2021 23:52:34 +0100

libpam-usb (0.7.1) unstable; urgency=medium

  * Added missing dependencies
  * Fix volume count detection in configure scripts
  * Fix NVMe volume handling in configure scripts
  * Fix pamusb-conf allowing to add multiple devices per user
  * Add rudimentary automated testing

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Thu, 31 Dec 2020 11:52:34 +0200

libpam-usb (0.7.0) unstable; urgency=medium

  * Re-release - Uses github.com/mcdope/pam_usb as source
  * Ported to Python 3
  * pamusb-agent is now a systemd unit
  * pamusb-agent config can now hold environment vars
  * pamusb-conf got new options for automation
    (--list-devices, --list-volumes, --device, --volume, --yes)
  * pamusb-conf now properly ignores read-only media (like optical drives)
  * Support for devices lacking vendor and/or model
  * PAM module gets installed using libpam-runtime/pam-auth-update
  * Using debconf to create fully working config on install
  * Documentation / example config updated
  * Wiki (https://github.com/mcdope/pam_usb/wiki) updated

 -- Tobias Bäumer <tobiasbaeumer@gmail.com>  Thu, 20 Aug 2020 10:22:34 +0200

libpam-usb (0.6.0-5) unstable; urgency=medium

  * Initial release - Uses github.com/luka-n/pam_usb as source (0.5.0, ported to UDisks2)

 -- Adrian Nöthlich <promasu@ox.io>  Sun, 07 Jan 2018 22:22:34 +0100

libpam-usb (0.5.0-4) unstable; urgency=low

  * Attempt to fix FTBFS on hurd.
  * Make this depending on udisks on linux-any only.
  * Increase entropy of generated pad files (Closes: #658700);
    thanks to Toby Speight for the patch.
  * Add config file for pam-auth-update (Closes: #658967);
    thanks to Petter Reinholdtsen for the report.
    - Add libpam-runtime (>= 1.0.1-6~) on Pre-Depends due to the use of the
      pam-auth-update tool in the maintainer scripts.
  * Add NEWS file to inform users about the need for rewriting their config

